<?php
require_once "connect.php";

$id_usuario = 0;
$st_ativo		= 1;
$id_movi    = 0;

if(isset($_SESSION['id_usuario'])){
  $id_usuario = $_SESSION['id_usuario'];
}

// dados do post
if(isset($_POST['id'])){
    $id 			= $_POST['id'];
}
    $nr_documento = trim($_POST['nr_documento']);
    $id_tipo_movimentacao = trim($_POST['id_tipo_movimentacao']);
    $ds_movimentacao = trim($_POST['ds_movimentacao']);
    $id_cliente = trim($_POST['id_cliente']);
    $id_fornecedor = trim($_POST['id_fornecedor']);
    $ds_observacao = trim($_POST['ds_observacao']);

    // array dos produtos movimentados
    $id_produto_movi = $_POST['id_produto_movi'];

/* limpa campos antes da execução
$nr_cpf = preg_replace("/[^0-9]/", "", $nr_cpf);
$nr_cep = preg_replace("/[^0-9]/", "", $nr_cep);
$nr_residencia = preg_replace("/[^0-9]/", "", $nr_residencia);

IF($nr_residencia==""){$nr_residencia="null";}
*/
// monta sql com os campos
if(isset($_POST['editar'])) {
  $sql = "update erpc_movimentacao set nr_documento='$nr_documento'
  ,id_tipo_movimentacao='$id_tipo_movimentacao'
  ,ds_movimentacao='$ds_movimentacao'
  ,id_cliente='$id_cliente'
  ,id_fornecedor='$id_fornecedor'
  ,ds_observacao='$ds_observacao'
  ,dh_alteracao=now()
  ,id_usuario ='$id_usuario'";
  $sql .= " where id = $id";
}else
	if(isset($_POST['excluir'])) {
		$sql  = "update erpc_movimentacao set st_ativo = 0, id_usuario = $id_usuario, dh_alteracao=now()";
		$sql .= " where id = $id";
 }else
	if(isset($_POST['adicionar'])) {
		$sql = "insert into erpc_movimentacao(
     nr_documento
    ,id_tipo_movimentacao
    ,ds_movimentacao
    ,id_usuario_include
    ,id_cliente
    ,id_fornecedor
    ,ds_observacao
    ,st_ativo, id_usuario)";
		$sql .="values(
     '$nr_documento'
    ,'$id_tipo_movimentacao'
    ,'$ds_movimentacao'
    ,'$id_usuario'
    ,'$id_cliente'
    ,'$id_fornecedor'
    ,'$ds_observacao'
    , $st_ativo, $id_usuario)";
}
// executa sql
if($sql!=""){
  // troca as '' para campos nullos
  $sql = str_replace("''","null",$sql);

	$stmt = mysqli_prepare($conexao, $sql) or die(mysqli_error($conexao) . '<br />' . $sql);
          mysqli_stmt_execute($stmt) or die(mysqli_error($conexao));

  $id_movi = $stmt->insert_id;

  //  Se obteve o ID do ultimo registro, adiciona os produtos
  if(!$id_movi==0){
    // faz loop no array encontrado de produtos
    foreach ($id_produto_movi as $key => $value) {
      # code...
      $p_split = explode(";", $value);
      // echo "valor da primeira coluna é :$p_split[0]<br>";
      // id + ";" + qt + ";" + ar + ";" + en
      $sql_ins_pro = "insert into erpc_movimentacao_produto(id_movimentacao, id_produto, nr_qtde, id_armazem, id_endereco)";
      $sql_ins_pro .= "values($id_movi,'$p_split[0]','$p_split[1]','$p_split[2]', '$p_split[3]')";

      $stmt = mysqli_prepare($conexao, $sql_ins_pro) or die(mysqli_error($conexao) . '<br />' . $sql_ins_pro);
              mysqli_stmt_execute($stmt) or die(mysqli_error($conexao));
    }
  }

  /* echo $sql;
  exit;*/
  header("Location:erpc_movimentacao_list.php");
}

?>
